Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 786684 - dev-cpp/htmlcxx-0.87 - /.../CharsetConverter.h: error: ISO C++17 does not allow dynamic exception specifications (maybe gcc-11 related)
Summary: dev-cpp/htmlcxx-0.87 - /.../CharsetConverter.h: error: ISO C++17 does not all...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: James Le Cuirot
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-11
  Show dependency tree
 
Reported: 2021-04-29 07:20 UTC by Toralf Förster
Modified: 2021-06-01 21:55 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.92 KB, text/plain)
2021-04-29 07:20 UTC, Toralf Förster
Details
dev-cpp:htmlcxx-0.87:20210429-042558.log (dev-cpp:htmlcxx-0.87:20210429-042558.log,9.90 KB, text/plain)
2021-04-29 07:20 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,315.89 KB, text/plain)
2021-04-29 07:20 UTC, Toralf Förster
Details
environment (environment,69.74 KB, text/plain)
2021-04-29 07:20 UTC, Toralf Förster
Details
etc.portage.tar.bz2 (etc.portage.tar.bz2,30.70 KB, application/x-bzip)
2021-04-29 07:20 UTC, Toralf Förster
Details
logs.tar.bz2 (logs.tar.bz2,19.88 KB, application/x-bzip)
2021-04-29 07:20 UTC, Toralf Förster
Details
temp.tar.bz2 (temp.tar.bz2,19.40 KB, application/x-bzip)
2021-04-29 07:20 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2021-04-29 07:20:12 UTC
x86_64-pc-linux-gnu-g++ -DHAVE_CONFIG_H -I. -I/var/tmp/portage/dev-cpp/htmlcxx-0.87/work/htmlcxx-0.87/html -I..     -pipe -march=native -fno-diagnostics-color  -O2 -DDEFAULT_CSS="\"/usr/share/htmlcxx/css/default.css\"" -c -o tests.o /var/tmp/portage/dev-cpp/htmlcxx-0.87/work/htmlcxx-0.87/html/tests.cc
In file included from /var/tmp/portage/dev-cpp/htmlcxx-0.87/work/htmlcxx-0.87/html/tests.cc:6:
/var/tmp/portage/dev-cpp/htmlcxx-0.87/work/htmlcxx-0.87/html/CharsetConverter.h:20:90: error: ISO C++17 does not allow dynamic exception specifications
   20 |                         CharsetConverter(const std::string &from, const std::string &to) throw (Exception);
      |                                                                                          ^~~~~
make[2]: *** [Makefile:690: tests.o] Error 1
make[2]: Leaving directory '/var/tmp/portage/dev-cpp/htmlcxx-0.87/work/htmlcxx-0.87-abi_x86_64.amd64/html'

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_plasma-20210420-165442

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-11.1.0 *
clang version 12.0.0
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/12/bin
/usr/lib/llvm/12
12.0.0
Python 3.8.9
Available Ruby profiles:
  [1]   ruby26 (with Rubygems)
  [2]   ruby30 (with Rubygems) *
Available Rust versions:
  [1]   rust-bin-1.51.0
  [2]   rust-1.51.0 *
The Glorious Glasgow Haskell Compilation System, version 8.10.4

  timestamp(s) of HEAD at this tinderbox image:
/var/db/repos/gentoo	Wed Apr 28 23:50:13 UTC 2021

emerge -qpvO dev-cpp/htmlcxx
[ebuild  N    ] dev-cpp/htmlcxx-0.87  USE="-static-libs" ABI_X86="(64) -32 (-x32)"
Comment 1 Toralf Förster gentoo-dev 2021-04-29 07:20:13 UTC
Created attachment 703707 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2021-04-29 07:20:14 UTC
Created attachment 703710 [details]
dev-cpp:htmlcxx-0.87:20210429-042558.log
Comment 3 Toralf Förster gentoo-dev 2021-04-29 07:20:16 UTC
Created attachment 703713 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2021-04-29 07:20:17 UTC
Created attachment 703716 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2021-04-29 07:20:18 UTC
Created attachment 703719 [details]
etc.portage.tar.bz2
Comment 6 Toralf Förster gentoo-dev 2021-04-29 07:20:20 UTC
Created attachment 703722 [details]
logs.tar.bz2
Comment 7 Toralf Förster gentoo-dev 2021-04-29 07:20:21 UTC
Created attachment 703725 [details]
temp.tar.bz2
Comment 8 Alfred Wingate 2021-05-08 08:47:14 UTC
I am able to reproduce. This is definitely related to gcc-11 defaulting to "-std=c++17", a workaround is to set the previous default of "-std=c++11" in CXXFLAGS which works.
Comment 9 Alfred Wingate 2021-05-08 21:41:59 UTC
(In reply to Alfred Wingate from comment #8)
> I am able to reproduce. This is definitely related to gcc-11 defaulting to
> "-std=c++17", a workaround is to set the previous default of "-std=c++11" in
> CXXFLAGS which works.

I am mistaken. Previous default was "-std=c++14". The above still applies but for "-std=c++14".
Comment 10 Larry the Git Cow gentoo-dev 2021-06-01 21:55:24 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f7b7c15da117ceb50850679f14573de8a1e22e4e

commit f7b7c15da117ceb50850679f14573de8a1e22e4e
Author:     James Le Cuirot <chewi@gentoo.org>
AuthorDate: 2021-06-01 21:54:20 +0000
Commit:     James Le Cuirot <chewi@gentoo.org>
CommitDate: 2021-06-01 21:55:09 +0000

    dev-cpp/htmlcxx: Patch to fix building with GCC 11 / C++-17
    
    Closes: https://bugs.gentoo.org/786684
    Package-Manager: Portage-3.0.19, Repoman-3.0.3
    Signed-off-by: James Le Cuirot <chewi@gentoo.org>

 dev-cpp/htmlcxx/files/htmlcxx-0.87-c++17.patch | 26 ++++++++++++++++++++++++++
 dev-cpp/htmlcxx/htmlcxx-0.87.ebuild            |  6 +++++-
 2 files changed, 31 insertions(+), 1 deletion(-)